VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsNewProperty"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
'*****************************************************************
': WithEventsSample
' : 0
': Eskine Mikhail
': 12.12.2000 15:25:25
':
'*****************************************************************
Option Explicit

'*****************************************************************
'
'*****************************************************************
'API-   
Private Const SW_NORMAL = 1

Private Declare Function ShellExecute Lib "shell32.dll" _
    Alias "ShellExecuteA" _
    (ByVal hwnd As Long, _
    ByVal lpOperation As String, _
    ByVal lpFile As String, _
    ByVal lpParameters As String, _
    ByVal lpDirectory As String, _
    ByVal nShowCmd As Long) _
    As Long

'    TypeMsg
Public Enum constTypeMsg
    None = 0
    HomePage = 1
    EMail = 2
End Enum

'    TypeMsg
Private mvarTypeMsg As constTypeMsg

' WithEvents
Private WithEvents NewLabel As Label
Attribute NewLabel.VB_VarHelpID = -1

'*****************************************************************
'  NewLabel
'*****************************************************************
Public Property Let TypeMsg(ByVal vData As constTypeMsg)
    mvarTypeMsg = vData
End Property

Public Property Get TypeMsg() As constTypeMsg
    TypeMsg = mvarTypeMsg
End Property

Public Property Set LabelControl(ExternalLabel As Label)
    Set NewLabel = ExternalLabel
End Property

'*****************************************************************
'  New Label,     
'*****************************************************************
Private Sub NewLabel_Click()
    Select Case mvarTypeMsg
    Case None
    Case HomePage
        Dim X
        X = ShellExecute(0&, "Open", NewLabel.Caption, &O0, &O0, SW_NORMAL)
    Case EMail
        Call ShellExecute(0&, "Open", "mailto:" + NewLabel.Caption + _
            "?Subject=" + "About WithEventsSamples", "", "", SW_NORMAL)
    End Select
End Sub

'  
Private Sub NewLabel_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Select Case mvarTypeMsg
    Case None
        'NewLabel.MousePointer = vbDefault
    Case HomePage
        '     
        NewLabel.MouseIcon = LoadPicture(App.Path & "/H_POINT.CUR")
        NewLabel.MousePointer = vbCustom
    Case EMail
        NewLabel.MouseIcon = LoadPicture(App.Path & "/H_POINT.CUR")
        NewLabel.MousePointer = vbCustom
    End Select
End Sub
